Package net.sf.saxon.ma.map

## Class MapFunctionSet

- java.lang.Object
- - net.sf.saxon.functions.registry.BuiltInFunctionSet
  - - net.sf.saxon.ma.map.MapFunctionSet

- All Implemented Interfaces:
    `FunctionLibrary`

      public class MapFunctionSet
      extends BuiltInFunctionSet

  Function signatures (and pointers to implementations) of the functions defined in XPath 2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MapFunctionSet.MapContains` | Implementation of the XPath 3.1 function map:contains(Map, key) => boolean
    `static class` | `MapFunctionSet.MapEntry` | Implementation of the extension function map:entry(key, value) => Map
    `static class` | `MapFunctionSet.MapFind` | Implementation of the XPath 3.1 function map:find(item()*, key) => array
    `static class` | `MapFunctionSet.MapForEach` | Implementation of the extension function map:for-each(Map, Function) => item()*
    `static class` | `MapFunctionSet.MapGet` | Implementation of the XPath 3.1 function map:get(Map, key) => value
    `static class` | `MapFunctionSet.MapKeys` | Implementation of the extension function map:keys(Map) => atomicValue*
    `static class` | `MapFunctionSet.MapMerge` | Implementation of the extension function map:merge() => Map From 9.8, map:merge is also used to implement map constructors in XPath and the xsl:map instruction in XSLT.
    `static class` | `MapFunctionSet.MapPut` | Implementation of the extension function map:put() => Map
    `static class` | `MapFunctionSet.MapRemove` | Implementation of the XPath 3.1 function map:remove(Map, key) => value
    `static class` | `MapFunctionSet.MapSize` | Implementation of the extension function map:size(map) => integer

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `BuiltInFunctionSet.Entry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MapFunctionSet` | `THE_INSTANCE` |

    - ### Fields inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `ABS, AS_ARG0, AS_PRIM_ARG0, BASE, CARD0, CDOC, CITEM, DCOLL, DEPENDS_ON_STATIC_CONTEXT, DLANG, EMPTY, FILTER, FOCUS, INS, LAST, LATE, NAV, NEW, NS, ONE, OPT, PLUS, POSN, SIDE, STAR, TRA, UO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapFunctionSet()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConventionalPrefix()` | Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
    `static MapFunctionSet` | `getInstance()` |
    `java.lang.String` | `getNamespace()` | Return the namespace URI for the functions local to this function set.

    - ### Methods inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `bind, copy, getFunctionDetails, getFunctionItem, importFunctionSet, isAvailable, makeFunction, register, registerReducedArityVariants`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.functions.FunctionLibrary

      `setConfiguration`

- - ### Field Detail

    - #### THE_INSTANCE

          public static MapFunctionSet THE_INSTANCE

  - ### Constructor Detail

    - #### MapFunctionSet

          public MapFunctionSet()

  - ### Method Detail

    - #### getInstance

          public static MapFunctionSet getInstance()

    - #### getNamespace

          public java.lang.String getNamespace()

      Description copied from class: `BuiltInFunctionSet`
      Return the namespace URI for the functions local to this function set.
      Overrides:
        `getNamespace` in class `BuiltInFunctionSet`
      Returns:
        the namespace URI of the functions local to this function set. Note that functions imported from another function set may have a different namespace URI.

    - #### getConventionalPrefix

          public java.lang.String getConventionalPrefix()

      Description copied from class: `BuiltInFunctionSet`
      Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
      Overrides:
        `getConventionalPrefix` in class `BuiltInFunctionSet`